Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.modules.config
Class ProfileLoader

    java.lang.Object
      org.apache.tomcat.core.BaseInterceptor
          org.apache.tomcat.modules.config.ProfileLoader

public class ProfileLoader
extends BaseInterceptor

This module can be used to specify groups of modules and add them automcatically to all web applications declared as belonging to the profile. ( not implemented ) A profile can also declare a set of jars that will be shared by all the apps belonging to that profile. This allows apps to share objects and attributes.

Author:
  Costin Manolache

Field Summary

Fields inherited from class org.apache.tomcat.core.BaseInterceptor
`cm, ct, ctx, debug, DECLINED, loghelper, OK`

Constructor Summary
`ProfileLoader()`

Method Summary
`void` | `addContext(ContextManager cm, Context ctx)` Adjust paths for a context - make the base and all loggers point to canonical paths.
`void` | `addInterceptor(ContextManager cm, Context ctx, BaseInterceptor module)` Read the profiles.
`void` | `addProfile(org.apache.tomcat.modules.config.Profile p)`
`void` | `addProfileRules(XmlMapper xh)`
`void` | `addTagRules(ContextManager cm, Context ctx, XmlMapper xh)`
`void` | `setConfig(java.lang.String s)`

Methods inherited from class org.apache.tomcat.core.BaseInterceptor
`addContainer, addHandler, addSecurityConstraint, afterBody, authenticate, authorize, beforeBody, beforeCommit, contextInit, contextMap, contextShutdown, contextState, copyContext, engineInit, engineShutdown, engineStart, engineState, engineStop, findSession, getContext, getContextManager, getDebug, getInfo, getLog, getNote, getNote, handleError, log, log, log, log, postInitCheck, postReadRequest, postRequest, postService, postServletDestroy, postServletInit, preInitCheck, preService, preServletDestroy, preServletInit, registerHooks, reload, removeContainer, removeContext, removeHandler, removeInterceptor, requestMap, sessionState, setContext, setContextManager, setDebug, setInfo, setNote, setNote`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProfileLoader

    public ProfileLoader()

Method Detail

### setConfig

    public void setConfig(java.lang.String s)

### addProfile

    public void addProfile(org.apache.tomcat.modules.config.Profile p)

### addContext

    public void addContext(ContextManager cm,
                           Context ctx)
                    throws TomcatException

  Adjust paths for a context - make the base and all loggers point to canonical paths.

  Overrides:
    `addContext` in class `BaseInterceptor`
  Throws:
    `TomcatException`

### addInterceptor

    public void addInterceptor(ContextManager cm,
                               Context ctx,
                               BaseInterceptor module)
                        throws TomcatException

  Read the profiles.

  Overrides:
    `addInterceptor` in class `BaseInterceptor`
  Parameters:
    `cm` - the server
    `ctx` - not null if this is a local interceptor
    `module` - the new added interceptor
  Throws:
    `TomcatException` - The module will not be added if any module throws an exception.

### addTagRules

    public void addTagRules(ContextManager cm,
                            Context ctx,
                            XmlMapper xh)
                     throws TomcatException

  Throws:
    `TomcatException`

### addProfileRules

    public void addProfileRules(XmlMapper xh)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Software Foundation. All Rights Reserved.